### Method

# ICalGLib Value clone

since: 4.0

#### Declaration [src]

    ICalValue*
    i_cal_value_clone (
      const ICalValue* value
    )

#### Description [src]

Deeply clone a `ICalValue`.

Available since: 4.0

#### Return value

Type: `ICalValue`

The newly created `ICalValue` with the same property as `value`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.